Skip to main content

Auvious RTC API v1.9.26

Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /security/oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

Assets​

Upload an asset​

POST https://auvious.video/rtc-api/assets/{assetId} HTTP/1.1
Host: auvious.video
Content-Type: multipart/form-data
Accept: */*
X-Auvious-TransactionId: string

Request body​

applicationId: string
category: string
filename: string
rolesAllowedAccess: string
file: string

Parameters​

ParameterInTypeRequiredDescription
assetIdpathstringtruenone
X-Auvious-TransactionIdheaderstringfalseused for detecting retries of the same request
bodybodyobjecttruenone
» applicationIdbodystringtruenone
» categorybodystringtruenone
» filenamebodystringfalsenone
» rolesAllowedAccessbodystringtruecomma separated list of roles allowed to access the asset, e.g.: admin,customer
» filebodystring(binary)truenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/assets/{assetId} \
-H 'Content-Type: multipart/form-data' \ -H 'Accept: */*' \ -H 'X-Auvious-TransactionId: string' \ -H 'Authorization: Bearer {access-token}'

Delete an asset​

DELETE https://auvious.video/rtc-api/assets/{assetId} HTTP/1.1
Host: auvious.video
Accept: */*
X-Auvious-TransactionId: string

Parameters​

ParameterInTypeRequiredDescription
assetIdpathstringtrueid of asset to delete
X-Auvious-TransactionIdheaderstringfalseOptional header used for detecting retries of the same request

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X DELETE https://auvious.video/rtc-api/assets/{assetId} \
-H 'Accept: */*' \ -H 'X-Auvious-TransactionId: string' \ -H 'Authorization: Bearer {access-token}'

create a signed url​

POST https://auvious.video/rtc-api/assets/{assetId}/signedUrl HTTP/1.1
Host: auvious.video
Accept: application/json
X-Auvious-CreateInternalSignedUrl: true
Referer: string

Parameters​

ParameterInTypeRequiredDescription
assetIdpathstringtruenone
X-Auvious-CreateInternalSignedUrlheaderbooleanfalsenone
Refererheaderstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKSignedUrl
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"url": "https://cdn.example.com/path/to/file?signature=abc123",
"validFor": "PT5M",
"validUntil": "2025-03-27T12:00:00Z"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/assets/{assetId}/signedUrl \
-H 'Accept: application/json' \ -H 'X-Auvious-CreateInternalSignedUrl: true' \ -H 'Referer: string' \ -H 'Authorization: Bearer {access-token}'

Find assets by application id​

GET https://auvious.video/rtc-api/assets?applicationId=string HTTP/1.1
Host: auvious.video
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
applicationIdquerystringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/assets?applicationId=string \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

get a builtin signed url​

GET https://auvious.video/rtc-api/assets/signed/{assetId}/{expiration}?signature=string HTTP/1.1
Host: auvious.video
Accept: */*

Parameters​

ParameterInTypeRequiredDescription
assetIdpathstringtruenone
expirationpathinteger(int64)truenone
signaturequerystringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/assets/signed/{assetId}/{expiration}?signature=string \
-H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Schemas​

SignedUrl​

{
"url": "https://cdn.example.com/path/to/file?signature=abc123",
"validFor": "PT5M",
"validUntil": "2025-03-27T12:00:00Z"
}

Properties​

NameTypeRequiredRestrictionsDescription
urlstring(uri)falsenonenone
validForstring(duration)falsenoneUse this ISO-8601 duration for countdowns to avoid clock drift
validUntilstring(date-time)falsenoneTimestamp when the signed link actually expires